=== debian/changelog ===
eperl (2.2.14-20build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:58:13 +0100

eperl (2.2.14-20) unstable; urgency=low

  * Add patch to end option structure with { 0, 0, 0, 0 }. Fixes segfault
    on "eperl --=". Thanks to Aurelien Jarno, Alexandre Rebert and the Mayhem
    project.
  * Update watch file to version by Bart Martens <bartm@debian.org>

 -- Axel Beckert <abe@debian.org>  Thu, 27 Jun 2013 14:49:49 +0200

eperl (2.2.14-19) unstable; urgency=low

  * Add patch to fix FTBFS with Perl 5.16. Thanks to Nick Black for
    pointing to Fedora's fix for this issue. (Closes: #676263)
  * Switch to source format "3.0 (quilt)"
    - Remove build dependency on quilt
    - Remove quilt traces from debian/rules
  * Bump debhelper compatibility to 9, update versioned build dependency.
  * Revamp debian/rules:
    - Use dh_auto_{configure,build,install}
    - Use debian/{dirs,docs,examples} instead of parameters to
      dh_install{dirs,docs,examples}.
    - Clean up clean target
    - Remove unneeded variables, simplify $TMP
    - Switch to a dh7 style debian/rules
  * Patch Makefile.in to pass compiler flags properly
  * Patch generated Makefile for ePerl.so by injecting CPPFLAGS and
    LDFLAGS with sed to fix lintian warning hardening-no-relro for
    ePerl.so. This also should fix the lintian warning
    hardening-no-fortify-functions, but doesn't, despite
    -D_FORTIFY_SOURCE=2 is passed to cc.
  * Ignore .build-backup files when building the source package
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix lintian warning vcs-field-not-canonical

 -- Axel Beckert <abe@debian.org>  Sat, 11 May 2013 21:15:37 +0200

eperl (2.2.14-18) unstable; urgency=low

  * Fix missing version in eperl(1). (Closes: #652568)
  * Change Suggests from mod_perl1 to mod_perl2.
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Sun, 08 Apr 2012 00:42:38 +0200

eperl (2.2.14-17) unstable; urgency=low

  * Applied patch from Marius Vollmer <marius.vollmer@nokia.com> to fix
    assumption that some file descriptors are unused. (Closes: #593358)
  * Remove Felipe Augusto van de Wiel (faw) from Uploaders on his request.
  * Fixes the following lintian warnings:
    + debian-rules-missing-recommended-target
    + maintainer-script-without-set-e
  * Bump Standards-Version to 3.9.2 (no changes)
  * Activate test suite via dh_auto_test
  * Use dpkg-buildflags, also enables hardening
    + Remove manual check for noopt in DEB_BUILD_OPTIONS
  * Remove manual check for nostrip in DEB_BUILD_OPTIONS, done by dh_strip
    itself
  * Clean up clean target in debian/rules a little bit.

 -- Axel Beckert <abe@debian.org>  Thu, 08 Dec 2011 15:47:54 +0100

eperl (2.2.14-16) unstable; urgency=low

  * Move to collaborative maintenance
  * Moved over to quilt patch management
    - Added build dependency on quilt
    - Added target dependencies to debian/rules
    - Added README.source pointing to /usr/share/doc/quilt/README.source
  * Overhauled and updated debian/copyright
  * Document trick to have shebang lines in the output. (Patch
    document-double-shebang.diff, closes: #360790)
  * Fix preprocessor comments to behave as documented. (Patch
    fix-preprocessor-comments-to-behave-as-documented.diff, closes: #360891)
  * Fix format string expansion in stderr output of Perl. (Patch
    fix-format-string-error-in-perl-stderr.diff, closes: #397536)
  * debian/rules: Make clean target really clean up
  * debian/rules: Store a copy of eperl.1 to get an unmodified source
    after clean target
  * Bumped Standards-Version to 3.8.4
    - Added Homepage field
    - Added Vcs-* fields
    - Added support for DEB_BUILD_OPTIONS=noopt
  * Bumped debhelper compatibility to 7
    - [debian/rules] Replaced "dh_clean -k" by "dh_prep"
    - [debian/control] Added dependency on ${misc:Depends}
  * Use external shtool instead of the one from the diff.gz
  * Fix some lintian warnings:
    - [debian/rules] debian-rules-makemaker-prefix-is-deprecated
    - [debian/source/format] missing-debian-source-format (enforce 1.0)
    - [debian/NEWS] debian-news-entry-without-blank-line
    - [debian/patches/fix-spelling-errors.diff] spelling-error-in-manpage
  
 -- Axel Beckert <abe@debian.org>  Sun, 06 Jun 2010 02:26:36 +0200

eperl (2.2.14-15.2) unstable; urgency=low

  * Non-maintainer upload.
  * Call PERL_SYS_INIT3() before perl_alloc(), fixing uninitialized lock
    issues on hppa. (Closes: #494191)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 06 Sep 2008 21:30:21 +0200

eperl (2.2.14-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with perl5.10 (closes: #463083)
  * Stop ignoring errors in clean target
  * Update Standards-Version (no changes)

 -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 00:37:02 +0100

eperl (2.2.14-15) unstable; urgency=low

  * Remove me from Maintainers.
  * Handle nostrip build option (Closes: #436818).

 -- Luk Claes <luk@debian.org>  Wed, 23 Jan 2008 22:58:38 +0000

eperl (2.2.14-14) unstable; urgency=low

  * New maintainers.
  * Bumped Standards-Version.
  * Updated debian/watch to version=3 and new upstream location.
  * Updated debian/copyright.

 -- Luk Claes <luk@debian.org>  Sat, 30 Sep 2006 13:35:57 +0200

eperl (2.2.14-13) unstable; urgency=low

  * eperl_main.c: slight changes when computing SCRIPT_SRC_PATH_DIR;
    valgrind reported that in strncpy, src and dest strings had the
    same address.
  * Bump Standards-Version: 3.6.2, no changes needed in packaging.
  * Depends on debhelper >= 4, and set debian/compat to 4.

 -- Denis Barbier <barbier@debian.org>  Sun, 25 Sep 2005 22:42:02 +0200

eperl (2.2.14-12) unstable; urgency=low

  * Fix compilation on amd64 with gcc-4.0.  Closes: #300093
    Thanks Andreas Jochens for reporting this bug and providing a patch.
  * Fix typo in eperl.1.  Closes: #300134
    Thanks A Costa for reporting this bug and providing a patch.


