=== debian/control ===
Source: eperl
Section: devel
Priority: optional
Maintainer: Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~), libperl-dev, perl (>= 5.8.1), shtool
Standards-Version: 3.9.4
Homepage: http://www.ossp.org/pkg/tool/eperl/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-wml/eperl.git
Vcs-Git: git://anonscm.debian.org/pkg-wml/eperl.git

Package: eperl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libapache2-mod-perl2
Description: Embedded Perl 5 Language
 ePerl interprets an ASCII file bristled with Perl 5 program statements by
 evaluating the Perl 5 code while passing through the plain ASCII data. It
 can operate in various ways: As a stand-alone Unix filter or integrated
 Perl 5 module for general file generation tasks and as a powerful Webserver
 scripting language for dynamic HTML page programming.
