=== debian/watch ===
version=3
http://ftp.ossp.org/pkg/tool/eperl/ .*/eperl-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 14:58:53 +0000
