## eperl 2.2.15

=== debian/changelog ===
eperl (2.2.15-1) unstable; urgency=medium

  * Team upload of Debian team
  * d/upstream/signing-key.asc: add
  * d/watch: new for new upstream
  * New upstream version 2.2.15 (+ changelog & NEWS)
    Closes: #1085470, #1080494, #1044597
    + d/p/: drop, applied upstream
    + d/control: drop unneeded Build-Depends: shtool
    + d/rules: clear out for new upstream
    + d/docs: update for new upstream
    + Forward configure --prefix to mod/Makefile.PL configuration
    + Forward configure {C,CPP,LD}FLAGS to mod/Makefile.PL configuration
    + Install upstream changelog
    + Install upstream NEWS
    + d/upstream/metadata: update for new upstream
    + d/copyright: update for new upstream
  * d/links: mention NEWS instead of README.Debian
  * d/rules: hardening: bindnow -> all
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/eperl.lintian-overrides: ignore intentional national-encoding
  * Install /usr/share/doc/eperl/utils/del2del as executable (Closes: #1082546)
  * d/control: Build-Depends: perl (>= 5.8.1) (unneeded since sarge)
                           -> perl:any (fixing cross-builds)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 17 Nov 2024 23:10:38 +0100

eperl (2.2.14-24) unstable; urgency=medium

  * Debian Team upload.

  [ Niko Tyni ]
  * Fix type confusion with getopt_long(). (Closes: #1074939)

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2024 01:39:42 +0200

eperl (2.2.14-23) unstable; urgency=medium

  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899962)
  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Update .gitignore to ignore additional build artefacts.
  * Guard a few patched files from being cleaned up by
    dh_autoreconf_clean.
  * Convert debian/copyright to machine-readable DEP5 format.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Jun 2018 01:20:50 +0200

eperl (2.2.14-22) unstable; urgency=medium

  * Switch Vcs-* headers to https:// and cgit web interface.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable bindnow hardening flag.
  * Add patch to remove inclusion of build time and user from version
    output. Hopefully makes the build reproducible.
  * Remove sole lintian override: No more needed and causes
    mentions-deprecated-usr-lib-perl5-directory lintian warning.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Aug 2016 00:05:04 +0200

eperl (2.2.14-21) unstable; urgency=medium

  * Don't hardcode /usr/{lib,share}/perl5 in debian/rules to support
    multiarch-compatible XS paths.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Apply wrap-and-sort.
  * Update Heiko's e-mail address in debian/copyright (Thanks DUCK!)
  * Remove obsolete dh_installchangelogs override.
  * Add a debian/upstream/metadata file according to DEP-12.

 -- Axel Beckert <abe@debian.org>  Wed, 14 May 2014 19:02:53 +0200
