=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-allowed-caller-uids="nobody, root, www-data"

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -rf debian/eperl/usr/lib/eperl

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs
	! [ -e debian/eperl/usr/share/doc/eperl ] || cp debian/NEWS.upstream debian/eperl/usr/share/doc/eperl/NEWS
	chmod +x debian/eperl/usr/share/doc/eperl/utils/del2del

override_dh_fixperms:
	dh_fixperms -Xdel2del
