## eperl 2.2.16

=== debian/changelog ===
eperl (2.2.16-1) unstable; urgency=medium

  * Debian Team upload
  * New upstream version 2.2.16 (+ changelog & NEWS)
    Closes: #1112461
  * d/p/: drop (included upstream)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 09 Sep 2025 19:32:07 +0200
